<?php $relatedModel = (is_callable([$formModel, $relation]) && !isset($formModel->$relation) ? $formModel->$relation() : $formModel->$relation) ?? null; ?>
<?php if ($relatedModel && is_object($relatedModel) && isset($relatedModel->id)): ?>
<a class="btn btn-secondary" href="<?= Backend::url(str_replace(':id', $relatedModel->id, $url)); ?>">
    <?= e(trans($label)); ?>
</a>
<?php else: ?>
<a class="btn btn-secondary" href="javascript:;" disabled>
    <?= e(trans($label)); ?>
</a>
<?php endif; ?>
